<h2>Články
    <md-button class="md-raised md-primary" ng-click="addArticle()" flex-gt-sm="20">Vytvoř nový</md-button>
</h2>
<div ng-repeat="messageItem in model.flashMessages">
    <div class="alert success">{{messageItem.message}}</div>
</div>
<md-table-container>
    <table md-table md-progress="model.promise" class="articlesTable">
        <thead md-head md-order="model.query.order">
        <tr md-row>
            <th md-column md-order-by="id"><span>#Id</span></th>
            <th md-column md-order-by="title"><span>Titulek (cz)</span></th>
            <th md-column md-order-by="title_en"><span>Titulek (en)</span></th>
            <th md-column md-order-by="published"><span>Publikován</span></th>
            <th md-column class="actionsColumnHeader">Akce</th>
        </tr>
        </thead>
        <tbody md-body>
        <tr md-row md-select="article" md-select-id="id" md-auto-select
            ng-repeat="article in model.articles | orderBy:model.query.order | limitTo:model.query.limit: (model.query.page -1) * model.query.limit">
            <td md-cell>{{article.id}}</td>
            <td md-cell>{{article.title}}</td>
            <td md-cell>{{article.title_en}}</td>
            <td md-cell>
                <md-checkbox ng-model="article.published" ng-change="publishArticle(article)" aria-label="Published?'">
            </td>
            <td md-cell class="actionsCell">
                <div layout="row">
                    <a title="edit" href='' ng-click="editArticle(article)"><i class="material-icons">mode_edit</i></a>
                    <a title="delete" href='' ng-click="deleteArticle(article, $event)"><i
                            class="material-icons">delete</i></a>
                </div>
            </td>
        </tr>
        </tbody>
    </table>
</md-table-container>
<md-table-pagination md-limit="model.query.limit"
                     md-limit-options="[5, 10, 15]" md-page="model.query.page"
                     md-total="{{model.articles.length}}" md-on-paginate="getArticles"
                     md-page-select></md-table-pagination>
